#include <stdio.h>
#include <string.h>
#include <exec/types.h>

#include <link/io.h>

#include <proto/dos.h>
#include <proto/dlg.h>

#include <pragmas/dlg.h>

extern struct Library  *DLGBase;

BOOL ResetComment(char *filename)

{long area;
 char comment[116];
 char name[36];
 char status[9];

 if (GetComment(filename,comment)==-1) return(FALSE);

 sscanf(comment,"Area: %d User: %35s Status: %8s",&area,name,status);

 ASPrintf(NULL, comment, "Area: %d User: %s", area, name);
 SetComment(filename, comment);

 return(TRUE);
}
